KLA20012
Multiple vulnerabilities in Mozilla Firefox

Updated: 10/20/2022
Detect date
?
10/18/2022
Severity
?
High
Description

Multiple vulnerabilities were found in Mozilla Firefox. Malicious users can exploit these vulnerabilities to cause denial of service, execute arbitrary code, obtain sensitive information, bypass security restrictions.

Below is a complete list of vulnerabilities:

  1. Denial of service vulnerability in DOM Workers platforms can be exploited to cause denial of service.
  2. Memory corruption vulnerability in JS Engine can be exploited remotely to execute arbitrary code.
  3. Information disclosure vulnerability in performance.getEntries for Windows can be exploited to obtain sensitive information.
  4. Security vulnerability in Password Manager area can be exploited to bypass security restrictions and obtain sensitive information.
  5. Memory safety vulnerability can be exploited to execute arbitrary code.
  6. Denial of service vulnerability in window.print can be exploited to cause denial of service.
Affected products

Mozilla Firefox earlier than 106.0

Solution

Update to the latest version
Download Firefox

Original advisories

MFSA2022-44

Impacts
?
ACE 
[?]

OSI 
[?]

DoS 
[?]

SB 
[?]
Related products
Mozilla Firefox
Find out the statistics of the vulnerabilities spreading in your region